Subject: 24.2; Manual gives arguments for lisp-indent-function in wrong order

From: Gareth Rees <[email-masked]>
Date: Tue, 15 Jan 2013 13:39:48 +0000

In GNU Emacs 24.2.1 (x86_64-apple-darwin, NS apple-appkit-1038.36):

The section "Indenting Macros" in the Emacs Lisp Reference Manual [1] says
that if INDENT-SPEC is a symbol, then 

    SYMBOL should be a function name; that function is called to
    calculate the indentation of a line within this expression.  The
    function receives two arguments:

    STATE
          The value returned by `parse-partial-sexp' (a Lisp primitive
          for indentation and nesting computation) when it parses up to
          the beginning of this line.

    POS
          The position at which the line being indented begins.

However, the function actually receives these arguments in the other
order. In particular, in lisp-indent-function in lisp-mode.el [2] the
INDENT-SPEC method is called like this:

		(funcall method indent-point state)))))))

I suggest that the Emacs Lisp Reference Manual be updated to match the
code.

[1] http://www.gnu.org/software/emacs/manual/html_node/elisp/Indenting-Macros.html
[2] http://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/emacs-lisp/lisp-mode.el#n1215

-- 
Gareth Rees